<?xml version="1.0" encoding="utf-8"?>
<Session ID="/baanerp/tt/aad/ttaad1121m000" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Packages by Package Combination (ttaad1121m000)</Title>
	</Header>
	<HelpTopic xml:lang="en"><AimSection><Paragraph class="Default"> 
                                 Use this session to add <Link href="/baanerp/tt/glossary/glossary#000000000000013" role="glossary" Update="No">package VRCs</Link> to a <Link href="/baanerp/tt/glossary/glossary#000000000000012" role="glossary">package combination</Link>.</Paragraph>
		</AimSection>
		<GeneralSection><Paragraph class="Default">Make sure that you enter all required packages in the package combination. Even packages you do not run can be necessary, as table definitions of other packages may use domains of these packages.</Paragraph>
			<Paragraph class="Default">After adding packages or modifying the version, release, and/or customization code of the packages, click <GUIRef href="/baanerp/tt/aad/ttaad1121m000#exec.user.0" role="command">Rebuild DD</GUIRef> on the <GUIRef href="" role="manual">Specific</GUIRef> menu to (re)build the Runtime Data Dictionary of domains, table definitions, sessions and file redirections. If necessary, the tables of the companies linked to the package combination will be reconfigured to the new data definitions. Restart the bshell to make the changes active at runtime.</Paragraph>
			<Paragraph class="Default">The process can take a long time. To prevent locking problems, make sure that everybody working in the involved companies leaves the bshell. If you do not, you can get error 113 while reconfiguring the tables. You will get the <GUIRef href="/baanerp/tt/questions/ttadv5200q" role="message">Error during file configuration; try again ?</GUIRef> question. In that case, you must again check if everybody has logged off. If so, answer Yes to this question. If the message appears again, you must answer No, run rc.stop and rc.start (in this order) and restart this session for the same package combination.</Paragraph>
			<List><ListIntro>Possible messages in this session:</ListIntro>
				<ListItem><GUIRef href="/baanerp/tt/messages/aad11216" role="message">No changes in package combination</GUIRef> You can get this message if you change the VRCs of some packages in the package combination. If the new VRCs are derived from the original ones, and if there were no software components changed in comparison with the old VRCs, it is not necessary to rebuild the runtime dictionary. You can leave the session and restart the bshell and your changes in the package combination are active at runtime.</ListItem>
				<ListItem><GUIRef href="" role="manual">First Rebuild the data dictionary or choose the Exit option</GUIRef> You will get this message, if you try to leave this session after you change the packages in the package combination, but do not process the changes.</ListItem>
			</List>
			<List><ListIntro>Possible questions in this session:</ListIntro>
				<ListItem><GUIRef href="" role="manual">Table ttaad100 is locked, try again?</GUIRef>
				</ListItem>
				<ListItem><GUIRef href="/baanerp/tt/questions/ttaad11219" role="message">Package combination record is locked; try again ?</GUIRef>
				</ListItem>
				<ListItem><GUIRef href="/baanerp/tt/questions/ttadv1111q" role="message">Package VRC file is in use; try again?</GUIRef>
				</ListItem>
			</List>
			<List><ListIntro>If one of these questions appears, somebody else is running one of the following sessions:</ListIntro>
				<ListItem><GUIRef href="/baanerp/tt/aad/ttaad1101m000" role="session">Change Package Combination by Company (ttaad1101m000)</GUIRef> session</ListItem>
				<ListItem><GUIRef href="/baanerp/tt/aad/ttaad1121m000" role="session">Packages by Package Combination (ttaad1121m000)</GUIRef> session</ListItem>
				<ListItem><GUIRef href="/baanerp/tt/adv/ttadv1111s000" role="session">Package VRCs (ttadv1111s000)</GUIRef> session</ListItem>
				<ListItem><GUIRef href="/baanerp/tt/adv/ttadv5210m000" role="session">Create Runtime Data Dictionary (ttadv5210m000)</GUIRef> session</ListItem>
				<ListItem><GUIRef href="/baanerp/tt/adv/ttadv5215m000" role="session">Convert to Runtime Data Dictionary (ttadv5215m000)</GUIRef> session</ListItem>
			</List>
			<Paragraph class="Default">After a system crash you can get these questions, even if nobody else is working in these sessions. In that case, you must delete an application lock in the <GUIRef href="/baanerp/tt/adv/ttadv9598m000" role="session">Application Locks (ttadv9598m000)</GUIRef> session. Delete the application locks with the keys:</Paragraph>
			<Formula space-and-orientation="indented-estimated"><Paragraph class="Default">       tttaad100
       tttaad120&lt;Package Combination&gt;
       tttadv111
</Paragraph>
			</Formula>
			<Paragraph class="Default">To delete a complete package combination, use the <GUIRef href="/baanerp/tt/aad/ttaad1120s000" role="session">Package Combinations (ttaad1120s000)</GUIRef> session.</Paragraph>
			<Paragraph class="Default">You can also use this session to disconnect a package VRC from a package combination. You must disconnect the package VRC before you can purge it. For details on purging refer to "Purge Procedure" in the <DocRef>Infor Enterprise Server 8.5 - Administrator`s Guide (U8854 US)</DocRef>.</Paragraph>
		</GeneralSection>
		<RelatedTopics><SectionTitle>
                                 Related topics
                              </SectionTitle>
			<RelTopic><Link href="/baanerp/basictasks/000001" role="manual">To use an overview session</Link>
			</RelTopic>
			<RelTopic><Link href="/baanerp/basictasks/000035" role="manual">To maintain records in an overview session</Link>
			</RelTopic>
		</RelatedTopics>
	</HelpTopic>
	<Fields><FieldHelp ID="ttaad121.pacc"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Package Combination</Title>
			</Header>
			<FuncDesc>The code which indicates the <Link href="/baanerp/tt/glossary/glossary#000000000000012" role="glossary">package combination</Link> to which you want to add packages.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttaad121.cpac"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Package</Title>
			</Header>
			<FuncDesc>A <Link href="/baanerp/tt/glossary/glossary#000000000000008" role="glossary">package</Link> which is (or will be) part of the specified package combination.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttaad121.vers"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Version</Title>
			</Header>
			<FuncDesc>The <Link href="/baanerp/tt/glossary/glossary#000000000000009" role="glossary">version</Link> of the <Link href="/baanerp/tt/glossary/glossary#000000000000008" role="glossary">package</Link>.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttaad121.rele"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Release</Title>
			</Header>
			<FuncDesc>The <Link href="/baanerp/tt/glossary/glossary#000000000000010" role="glossary">release</Link> of the <Link href="/baanerp/tt/glossary/glossary#000000000000008" role="glossary">package</Link>.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttaad121.cust"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Customer</Title>
			</Header>
			<FuncDesc>The <Link href="/baanerp/tt/glossary/glossary#000000000000011" role="glossary">customer</Link> extension of the <Link href="/baanerp/tt/glossary/glossary#000000000000008" role="glossary">package</Link>.</FuncDesc>
		</FieldHelp>
	</Fields>
</Session>
